## sil 1.0.2

=== Makefile ===
# File: Makefile.std

# This is not a very "nice" Makefile, but it usually works.

#
# Note that you may have to make modifications below according
# to your machine, available libraries, compilation options,
# and your "visual module" of choice.
#
# To do so, make sure the appropriate section of "Variations" is
# uncommented (and only that section).
#
# This Makefile is intended
# for use with Unix machines running X11, gtk, (n)curses, termcap,
# or VT100, or SVGA library.
#
# Note that "main-mac.c", the visual module for the Macintosh,
# must be compiled in a special way, see elsewhere.
#
# Note that "main-win.c", the visual module for Windows,
# must be compiled in a special way, see elsewhere.
#
# This Makefile comes with "default" dependencies that may be obsolete.
#

RM = rm -rf
CP = cp -r
MD = mkdir -p
DESTDIR =
ICON = sil.png
DESKTOP = sil.desktop
DATA = lib stuff/sil_manual.pdf
STUFFDIR = ./stuff
BINDIR = $(DESTDIR)/opt/sil
ICNDIR = $(DESTDIR)/usr/share/pixmaps
APPDIR = $(DESTDIR)/usr/share/applications/hildon
EXE = $(PREFIX)sil
STRIP = strip

#
# The "source" and "object" files.
#

SRCS = \
  z-util.c z-virt.c z-form.c z-rand.c z-term.c \
  variable.c tables.c util.c cave.c \
  object1.c object2.c monster1.c monster2.c \
  xtra1.c xtra2.c spells1.c spells2.c \
  melee1.c melee2.c save.c files.c \
  cmd1.c cmd2.c cmd3.c cmd4.c cmd5.c cmd6.c \
  birth.c load.c squelch.c \
  wizard1.c wizard2.c obj-info.c \
  generate.c dungeon.c init1.c init2.c randart.c \
  use-obj.c \
  main-cap.c \
  main-gcu.c \
  main-x11.c maid-x11.c \
  main-gtk.c \
  main.c

OBJS = \
  z-util.o z-virt.o z-form.o z-rand.o z-term.o \
  variable.o tables.o util.o cave.o \
  object1.o object2.o monster1.o monster2.o \
  xtra1.o xtra2.o spells1.o spells2.o \
  melee1.o melee2.o save.o files.o \
  cmd1.o cmd2.o cmd3.o cmd4.o cmd5.o cmd6.o \
  birth.o load.o squelch.o \
  wizard1.o wizard2.o obj-info.o \
  generate.o dungeon.o init1.o init2.o randart.o \
  use-obj.o \
  main-cap.o \
  main-gcu.o \
  main-x11.o maid-x11.o \
  main-gtk.o \
  main.o



##
## Following are some "system" definitions
##
## No changes are needed to compile a version that will run on both
## X11 and Curses, in debugging mode, with maximal warnings, on many
## normal Unix machines of the Sun OS variety (non-solaris).
##
## To use an "alternative" definition, simply "modify" (or "replace")
## the definition below with one that you like.  For example, you can
## change the compiler to "cc", or remove the "debugging" options, or
## remove the X11 or Curses support, etc, as desired.
##
## See also "config.h" and "h-config.h" for important information.
##
## Some "examples" are given below, they can be used by simply
## removing the FIRST column of "#" signs from the "block" of lines
## you wish to use, and commenting out "standard" block below.
##
## This is not intended to be a "good" Makefile, just a "simple" one.
##


#
# This is my compiler of choice, it seems to work most everywhere.
#
CC = gcc


#
# Standard version (see main-x11.c and main-gcu.c)
#
# This version supports both "X11" and "curses" in a single executable.
#
# You may have to add various X11 include/library directories to the
# "CFLAGS", if your machine places files in a weird location.
#
# You may be able to remove "-ltermcap" on some machines (ex: Solaris).
#
# You may have to replace "-lcurses" with "-lncurses" to use the
# "new curses" library instead of the "old curses" library, and
# you may have to add "-I/usr/include/ncurses" to the "CFLAGS".
#
# See "main-gcu.c" and "config.h" for some optional "curses" defines,
# including "USE_GETCH" and "USE_CURS_SET".  Note that "config.h" will
# attempt to "guess" at many of these flags based on your system.
#

##
## Standard -- "main-x11.c" & "main-gcu.c"
##
CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_GCU" -fsigned-char
LIBS = -lX11 -lcurses -ltermcap


##
## Variation -- "main-x11.c" & "main-gcu.c" (for Mac OS X)
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_GCU"
#LIBS = -L/usr/X11/lib -lX11 -lcurses -ltermcap


##
## Variation -- "main-x11.c"
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11"
#LIBS = -lX11


##
## Variation -- "main-x11.c" (for Mac OS X)
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11"
#LIBS = -L/usr/X11/lib -lX11


##
## Variation -- "main-gcu.c"
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_GCU"
#LIBS = -lcurses -ltermcap


##
## Variation -- "main-gtk.c" & "main-gcu.c"
## Note: gtk-config adds GTK and X11 includes and libraries as appropriate.
##
#CFLAGS = -Wall -O `gtk-config --cflags` -g -D"USE_GTK" -D"USE_GCU"
#LIBS = `gtk-config --libs` -lcurses -ltermcap


##
## Variation -- "main-x11.c" & "main-cap.c
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_CAP"
#LIBS = -lX11 -ltermcap


##
## Variation -- "main-cap.c" (works on simple vt100 terminals)
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_CAP" -D"USE_HARDCODE"


##
## Variation -- compile for Linux
##
## Allows the use of Sil in the console using ncurses,
## as well as under X11.
##
#CFLAGS = -I/usr/X11R6/include -I/usr/include/ncurses -Wall \
#         -O2 -fno-strength-reduce \
#         -D"USE_X11" -D"USE_GCU" -D"USE_NCURSES"
#LIBS = -L/usr/X11R6/lib -lXaw -lXext -lSM -lICE -lXmu -lXt -lX11 -lncurses


##
## Variation -- compile for Linux
##
## Allows the use of Sil in the console using curses.
##
#CFLAGS = -Wall -O2 -fno-strength-reduce -pipe -D"USE_GCU"
#LIBS = -lcurses


##
## Variation -- compile for Linux
##
## Allows the use of Sil in X11 using the Athena Widget set.
##
#CFLAGS = -Wall -O2 -fno-strength-reduce -pipe -g -D"USE_XAW"
#LIBS = -L/usr/X11R6/lib -lXaw -lXext -lSM -lICE -lXmu -lXt -lX11


##
## Variation -- this might work better than the suggestion above
##
#CFLAGS = -I/usr/include/ncurses \
#         -Wall -O2 -fno-strength-reduce -fomit-frame-pointer \
#         -D"USE_X11" -D"USE_GCU" \
#         -D"USE_TPOSIX" -D"USE_CURS_SET"
#LIBS = -lX11 -lncurses
#LDFLAGS = -s


##
## Variation -- compile for Solaris
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_GCU" -D"SOLARIS"
#LIBS = -lX11 -lsocket -lcurses


##
## Variation -- compile for SGI Indigo runnig Irix
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_GCU" -D"SGI"
#LIBS = -lX11 -lcurses -ltermcap -lsun


##
## Variation -- compile for Dec ALPHA OSF/1 v2.0
##
#CC     = cc
##CFLAGS = -std -O -g3 -Olimit 4000 -D"USE_X11" -D"USE_GCU"
#CFLAGS = -std -g -D"USE_X11" -D"USE_GCU"
#LIBS   = -lX11 -lcurses -ltermcap -lrpcsvc


##
## Variation -- compile for Interactive Unix (ISC) systems
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_X11" -D"USE_GCU" -D"ISC"
#LIBS = -lX11 -lcurses -lnsl_s -linet -lcposix


##
## Variation -- Support fat binaries under NEXTSTEP
##
#CFLAGS = -Wall -O1 -pipe -g -D"USE_GCU" -arch m68k -arch i386
#LIBS = -lcurses -ltermcap



#
# Default target.
#
all: $(EXE)


#
# Install the game.
#

install: all
	@$(MD) "$(BINDIR)"
	@$(CP) $(EXE) $(DATA) "$(BINDIR)"
	@$(MD) "$(ICNDIR)"
	@$(CP) "$(STUFFDIR)/$(ICON)" "$(ICNDIR)"
	@$(MD) "$(APPDIR)"
	@$(CP) "$(STUFFDIR)/$(DESKTOP)" "$(APPDIR)"


uninstall:
	@$(RM) "$(BINDIR)"
	@$(RM) "$(ICNDIR)/$(ICON)" "$(APPDIR)/$(DESKTOP)"


#
# Build the "Sil" program
#

sil: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o sil $(OBJS) $(LIBS)
	@$(STRIP) $(EXE)

#
# Clean up old junk
#

clean:
	-rm -f *.o sil

#
# Generate dependencies automatically
#

depend:
	makedepend -D__MAKEDEPEND__ $(SRCS)


#
# Hack -- some file dependencies
#

HDRS = \
  h-basic.h \
  h-define.h h-type.h h-system.h h-config.h

INCS = \
  angband.h \
  config.h defines.h types.h externs.h \
  z-term.h z-rand.h z-util.h z-virt.h z-form.h $(HDRS)


birth.o: birth.c $(INCS)
cave.o: cave.c $(INCS)
cmd1.o: cmd1.c $(INCS)
cmd2.o: cmd2.c $(INCS)
cmd3.o: cmd3.c $(INCS)
cmd4.o: cmd4.c $(INCS)
cmd5.o: cmd5.c $(INCS)
cmd6.o: cmd6.c $(INCS)
dungeon.o: dungeon.c $(INCS)
files.o: files.c $(INCS)
generate.o: generate.c $(INCS)
init1.o: init1.c $(INCS) init.h
init2.o: init2.c $(INCS) init.h
load.o: load.c $(INCS)  init.h
maid-x11.o: maid-x11.c $(INCS) maid-x11.h
main-cap.o: main-cap.c $(INCS) main.h
main-gcu.o: main-gcu.c $(INCS) main.h
main-gtk.o: main-gtk.c $(INCS) main.h maid-x11.h
main-x11.o: main-x11.c $(INCS) main.h maid-x11.h
main.o: main.c $(INCS) main.h
melee1.o: melee1.c $(INCS)
melee2.o: melee2.c $(INCS)
monster1.o: monster1.c $(INCS)
monster2.o: monster2.c $(INCS)
obj-info.o: obj-info.c $(INCS)
object1.o: object1.c $(INCS)
object2.o: object2.c $(INCS)
randart.o: randart.c $(INCS) init.h
save.o: save.c $(INCS)
spells1.o: spells1.c $(INCS)
spells2.o: spells2.c $(INCS)
squelch.o: squelch.c $(INCS)
tables.o: tables.c $(INCS)
use-obj.o: use-obj.c $(INCS)
util.o: util.c $(INCS)
variable.o: variable.c $(INCS)
wizard1.o: wizard1.c $(INCS)
wizard2.o: wizard2.c $(INCS)
xtra1.o: xtra1.c $(INCS)
xtra2.o: xtra2.c $(INCS)
z-form.o: z-form.c $(HDRS) z-form.h z-util.h z-virt.h
z-rand.o: z-rand.c $(HDRS) z-rand.h
z-term.o: z-term.c $(HDRS) z-term.h z-virt.h
z-util.o: z-util.c $(HDRS) z-util.h
z-virt.o: z-virt.c $(HDRS) z-virt.h z-util.h

=== debian/changelog ===
sil (1.0.2) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 27 Feb 2012 14:05:54 +0100

=== debian/control ===
Source: sil
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libncurses5-dev (>= 5.7), libx11-dev (>= 1.1)
Standards-Version: 3.7.2

Package: sil
Architecture: any
Depends: libc6 (>= 2.5.0-1), libncurses5 (>= 5.7-1), libx11-6, xfonts-base (>= 1.0.0-5)
Description: Sil is a roguelike set in the First Age of Middle-earth.
 Sil is a descendent of Angband, but makes many changes.These changes have had several directions: to make the game much more true to the world Tolkien imagined, to increase the tactical depth in combat, to reduce the length of the game.
XB-Maemo-Display-Name: Sil
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAA7mSURBVHjatJp7XJRl2se/zwwwnFEEBcFDSrUKGKitupkM
 YMFbW29m7efdtvLsZwOl1zQ7ysyAtYB2ek3cTde0snoz0XfbTmtxUFdANw4z
 w3A+IwznmYHhMDAz7x8PIpmlIjv/zefzPPf9+97XfV/XdV/XIxAQAIGBMDzM
 hP0EAcxmwoPuTAMorCrfiZsb2O0TN4eDAzQ14cBE/wQBenoICwlTfbhH8TzA
 k8+r+ou0RQo8PCYWApDi6QmenmCzTZj4haHhyvQUpaIqdzPtjV/wh7VvRhRq
 yoWWxvpsZLKJUS6RgMk0gQBjxL+fqlAkZMTzK2MOA6YG0spLOZiQJr+gnkCI
 CQUYER8eGq48kqpQ7DgZT05RJmsCwUUKbxbVUm0oJX1rmjxfXS7oJwJiwgAu
 i18QrjiSqlDuOBXP6X9lggs8PlV85HgX1NTXUt0zAqEpR99Yn3NLEBMCMCL+
 rtBwxdE0hXL7yXi+02QybT70D8LqSeJjGWaYOhfUulqquko5kJAmz1WX03or
 ELcMcNnbLFiYeCxFqXomI46coiwcJsPqx6GqCR6SADb4RgYPPwjaMqiqqUXT
 reP9rXvl57UV9nFb4pYAxqz8wRSFKvt0HCWVWTQiDqPWwqARVgWA3Qk+qQG1
 BqwDgBRmmOtw7ikhfnNa5AXNOC0xboDLKx8arvwwVaHcfiqO9wqyiJ8DMilU
 msE+CFTCQhcwGCBTA3Y38fUHfSHGF3YW1VHZreO9rXvkueM52OMCGONtjqYq
 FNtPxZFZnIXdBf5phs3+MHkY2rS+bFm+hUtdM+keDOX+eQ9QWVTBw3P6WDEV
 djXCkATqmuqoNOg4sHXPzXunmwa4Il51JFWh2HFqC98VZYIDzPwVRD8EB/8B
 oXp/Ep5+lyV3L2HAIuDrG8j9kSu55/Z7qc09R7q5lwfXQU8vGDuhprmOakPZ
 ZRcruWGImwK4EqRUH6UqEp/JiCe7KBPcxENq7IWOVrBenMKGxw9QoL1IY30t
 t82ehYe7G3n5eVQ1NrJo2SZOZ37PJfppbgKGAWeoaahF213K+wlpEXnqcskN
 BbsRAMnNbJvDKYrEz76MZ0l3JsE+wAB4TId7o6E1Bzbes46IZcEY2/QkJCSg
 1WrRarUkJCRgbNMTsSyYjfesozVHfMdjujhGsA8s6c7ksy/jOZyiSAwPDVfS
 0yPOfUu50FUR9vn/i+dwQSYWCWyeBg96wxkb+ARCgxb8Bvwwd5uRR0Vy7tw5
 Kisr6e3tpbOzk3uWL+fs2XNoqjSU2UuZuRi6W2DvVLjbDU52wSc1tVQbbzBi
 X9cCo34+XHEkVanYfjKe00WZIAO1C6jMoOuHY5PAkg2YQeYsQyaTYTKZsI1Z
 EJvNhslkQiaTIXOWgVl859gkcQyVWRwTGZwuymT7yXiOpCoVYQvCFdezxLUt
 cMVVJn6QqlBtPxXHd8VZ4AJYYNkK8J8Fn+VBkQXWBkKQBSSu0Tz68GPk5HxP
 fHw8er0ePz8/1q5dS0ZGBjGx/4m6pJzfuOYjnwMpDfClHn59H/j5QmP5yJlo
 qqXKUMKft+yR56rLrx3sfvYQjwaphYlHUhWq507G8X1xFjiJh07iBlJXKNGA
 dRjarJBjgP+aB0KLDpwX0dLexufHj7N8+XK8vb154403cHV3R2qzMlCzm5nB
 Fl6sgmaLGNia20BwBJMR7AOAI9RcqqO8W0f61j2ReeoK+0+C3TUBxkTYz1MV
 qqNfxPFRURY4wKQAmBYIAwPwQCxUVoBlEOiGYR2cq5iGm7SX3G/yWBh+P088
 /Xty8y7S3t7Jk08+QVt9B5++n4zR2cRfL/pgbjSDM+AGru4QsxLKyiDgNhBk
 MNALtfo6vHp0pManRZ65Onf6CYDdPjZIKZ/JiENbkUXynaAzgeNcmD8fygqh
 uBgsQ0ArxLrGcmjbIe4Pi6aq2oGUt/9CYUEx33zzFd1tWjrbajmfq8HF1Z3n
 la+Tl2vgpTU7iHvwGfQ6PVWGKixOUFwAw/2wLApMFvDpgNQ74ePKOk636ngv
 4apg9yMALy8wGggPXag8mqpQ7DgVT2ZxFq1WaLVB+u0w1QSf/wD9lhETtkOk
 i5yYu2JoaGqgrb2V6MhITmacZMo0H7o6OnCsP47UVAVTFjF9ViBnsrP57QP/
 QYlOS7O+maDpQQx3DlFnqBOtYYPuWkhwhIQASLkEBT1Qr6+j2lDKga1p8jx1
 uaBvrMvGxXUEwMsLBFgYHKY6kqpQbD8VPxphg++E+j442ggxU+DVGTDdBeoG
 Qaj24FPFCXLzz/Po6kcxmUwEBAYgkUjw8nQnJGwx7SZXZL4LifrtozhJ7Xh7
 exMQGMDg4CAR8gjycvPYufEl/jfjI/xmWPjvGbB7png21peBUQZzZ0F7N9Q0
 11I5AnFBXSFpudSQzaAFKRIJ4b9ZoTySlqjYcTKe74ozwQnu8ITijaBRQ6EB
 vu2Cc2aI9oaXfMHLbSVBi2L5+qsvCAgIwGQycfbsWVasWIFarabfbGJR5Apm
 z59PTVkZ7R0dLF68mBMnTuDt7c3w8DDnc8+zTB7JlPZyds+ppEuAF2vho2YY
 ssIj3vDNGvisCDqtIsTIzS4iX1Mp6EtLsqVL7v512uEDb7y85fAGssrOiK5y
 CA7/HgxO8PxXcOhpGLRCXgP8vRu+74Z67SDVmmZ2v5ZMZWUl2dnZNDY20tXV
 xYYNG6irr+fo4Q/IP59PSEgwq1at4sMPP6S0tJTOzk5mzJjB+vXrSdn9Ov+s
 zOcDjBxthXYzxATDyzGQegZilsDymfBpwRUXW9JZxMHtb8oLzl5wu3Ygk0Bd
 F6SfAbsrrI+Ge+aN5C4OUN4Mk/1C2LbtWZKTk/H392fp0qUEBQURGxvLvn37
 GBqy8NQft/DUH7cwNGRh3759xMbGEhQUxNKlS/H39yc5OZlt255lsl8I5c3i
 2AyLc62PFudOPyNq+bmQK8nXqHeu2ZmkenfdIe4Li4IRP/zs13Dsopjjd3RA
 Z7fos7EBvpBXdR4BGdP8/PH29sbR0ZGYmBicnZ0JDp6Hr18Q9UVfU1/0Nb5+
 QQQHz8PZ2ZmYmBgcHR3x9vZmmp8/AjLyqs6D78jYUnGujg5x7mMXRS04innT
 fWFRvLv6EGt2JKnyteqdUnx80Ju6sy8UlknSt6ZFVBtKqWmqFcVKxILdCQ2c
 rYGhMTWpQacBLGU1uHAnNVXF9Pb1MXv2bE4cP45V8KSsooSlssNMRU12lS9W
 q4wL57OZHxxMaWkp5SU6LP2eZOW/R56DVty6Ym6AthU+KYR248ii2a+I3/vI
 fta9oEoq1BUrsduR4uEBvlNpqa/JzldXCPu2psl7jaVMMtbSJYBUCu09YLOD
 oxQ8nOCRKfDiPFjhVEW/yY27Vm3ER+LOZ0c/R6FS8UNbFbN6dxM5qxd/z0E6
 ewsxBz7As09u5u3d7yC/V87suxcxXPwxMf5/Z+Ud4CRA07BohCErdPWCiyM4
 S2CJA9wbHEXiI/tZ/4JKVagpUOI1CYxGhNHaqNUKPT0sCA1XnkhRKIw/xFGl
 z2KuE3gNAiP5lIMAPi5wSQp1rpDoDroSKX7NAQz0GJFOd6P9rma2ecIfasR3
 js2Bt0zgWzwda7MZZw8v9NMvMT/YSlIvzO6DACt09MPwZSvbRTdabYEgv0i8
 FqWz+kWVSq0pVOLhIa5sU9MYgOHh0VQiNCRc8XGqQvk/TXHoBrJ42AZWuwgh
 sUGlI+gmwbAE+p3AyQ4DVtFCQ1ZwcoIZRkjSiloSQ6DRCyyWK884S8EigIsF
 HGww3wC3D4FNIoqXCvA3Ccx3jiQhMJ0nXlApNdpC1Wh9daS4+9NkTiajrak+
 55ymwp62Ki3y2y4dGd511PhAoRsUeUGzG9gEsAvgZBUPn5MAUrt41oZs4DsI
 8nbRcOd8oMNB3OaXn8EGjjawSsT7cYM7FHhBsTtoJ8G3DjC9PxLV7HSeeClJ
 odEWJv2oOPyLV0qZjLbG+pzz6nL7nx/dE1ndrKNZqGOyIzhawcEuerWfy9Kt
 AkyxQES7+D/HF7qcRPE/uXaMeEgHOzjZwFkAUy8s7o4k9bZ0nn5ZpVBfLf6G
 7sQyGa1N9Tn5JeW8s3qvXKvX0SCtxc3p+hXymwG4OsXv7INgYxTJcw6wbpdK
 WXwt8Td8qZfJ0DfW51woKRfeXp0mL9GXUncDEOMBkEigow9CjFEkzdnPhl0q
 VZFmzJ4fd1VChMi+qC0X3lqdJi9pKb2uJW4WYHTlDVEkzd3PxldVqkLtiLex
 2yegrCKT0dJUn31RWy5567G0CG1LKfW/AGEVwHMYotrE/99NA4PjtQEur/wY
 8UkF1xM/rsLWWIjH0yJ0zWU/2k7CyIG0CdDiAKFdsLxbPKAFblDsCR5XHf7R
 bWOIJiloVPyNtaLGVVocgbigLRfeeixNrmvRUe1Qh9QF+gCTFLwtENsMG5vE
 sGITYLER7FZodQG9k5gT2h2gqw8WGCJRzd3PhhvZNhNS3JXJ0I9A7PndHnl/
 lQ6P3jrukMBTzRDXAL/rApkA3YKYGsy0w0MGuLcbbh8EqQNMboUwQyQJ89PZ
 9MpNih8DIIyrzXo5YoeGK/6WvEt5POsVzvTXMsvVHaNgxSY4MoNeNlEIwEHC
 acQdiX0IL7uU+r5eVrjcxuORr/HwrmSl5pe8zXXarMK4+8SXIRaEJR7cnaJ6
 9vv3yO+/BJ6TwOZMAM38wEcALOJJLjEdJANgMrDEJYB3ojez6dUXFRp1UdK4
 2q8/m0rczE8mo62xIedfWg3vb3pGXtlUTE1vJzhLsNrtxFJNJzIOEcqQxAam
 Tla6erB/5Vo2vKJQqjXFSePuHU9Yk08mQ9/YkJNXUs2Bjc/Jq5vU1JgNDDlP
 Ya69hXrc+YckBHo6uM/Vizei41n7yp+URZoi1S01vie0zToSsfO1lUL6pu3y
 6kY1NWYTZmd3KgQfLvXYuc/Fg73R8ax9+TVV4a2K/7c0ukVLZF8YhSgmv8+C
 3uJAlMsk9kbHs04Ur5yQTw4mHOBynBiFeE5e3FBCgIMr76yMY93Lr6sKJkr8
 LbvRG2mIhISpju7dlQiwZkdyUuFEf+xxy270Bj63WRh0RxpAQVXFv+1zm/8f
 AGTpy7jx9uhGAAAAAElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sil.
	$(MAKE) DESTDIR=$(CURDIR)/debian/sil install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs CHANGES.txt
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## sil 1.0.2-1

=== debian/changelog ===
sil (1.0.2-1) unstable; urgency=low

  * Postinst script fixed.
  * A one-off Xorg restart is required in order to make properly sized fonts displayable.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 27 Feb 2012 20:41:39 +0100
